import {ParamRequestDecorator} from '@modal-sh/yasumi/backend';

declare module '@modal-sh/yasumi/backend' {
	interface RequestContext {
		basePath: string;
	}
}

export const decorateRequestWithBasePath: ParamRequestDecorator<[string]> = (basePath) => (req) => {
	req.basePath = basePath;

	return req;
}
