import {ParamRequestDecorator} from '@modal-sh/yasumi/backend';

declare module '@modal-sh/yasumi/backend' {
	interface RequestContext {
		host: string;
	}
}

export const decorateRequestWithHost: ParamRequestDecorator<[string]> = (host) => (req) => {
	req.host = host;

	return req;
};
