import {ParamRequestDecorator} from '@modal-sh/yasumi/backend';

declare module '@modal-sh/yasumi/backend' {
	interface RequestContext {
		scheme: string;
	}
}

export const decorateRequestWithScheme: ParamRequestDecorator<[string]> = (scheme) => (req) => {
	req.scheme = scheme;

	return req;
};
